RedPat1 = SPAWN
        :New( "PatGrpSoc29" )
        :InitCleanUp( 300 ) -- time in secs for 'stuck aircraft
        :InitRepeatOnEngineShutDown() -- lands and takes off immediately after shutting engine off
        :InitLimit( 2, 0 ) -- Max units alive / groups that can spawn
        :SpawnScheduled( 900, 1 ) -- Time in secs 1800 = 30 Mins / allowable variation
        :OnSpawnGroup(
        function ( SpawnGroup1 )   
          CapPlane1 = GROUP:FindByName( "PatGrpSoc29" )
          PatrolZone1 = ZONE:New( "PatrolZone1" ) -- Area where patrol will patrol
          AICapZone1 = AI_CAP_ZONE:New( PatrolZone1, 4000, 8000, 600, 1000 ) -- min alt ,ax alt, min speed, max speed
          EngageZoneGroup1 = GROUP:FindByName( "EngageZoneW" ) -- zone where patrol will engage
          CapEngageZone1 = ZONE_POLYGON:New( "EngageZoneW", EngageZoneGroup1 )
          AICapZone1:SetControllable( SpawnGroup1 )
          AICapZone1:ManageFuel( 0.2, 0 ) -- 20% no loiter time
          AICapZone1:SetEngageZone( CapEngageZone1 ) -- Set the Engage Zone. The AI will only engage when the bogeys are within the CapEngageZone.
          AICapZone1:__Start( 1 ) 
          end
         )
RedPat1:Spawn()
