
DetectionSetGroup = SET_GROUP:New()
DetectionSetGroup:FilterPrefixes( "RedEWR" )
DetectionSetGroup:FilterStart()

Detection = DETECTION_AREAS:New( DetectionSetGroup, 10000 )

-- Setup the A2A dispatcher, and initialize it.
A2ADispatcher = AI_A2A_DISPATCHER:New( Detection )

-- Initialize the dispatcher, setting up a border zone. This is a polygon, 
-- which takes the waypoints of a late activated group with the name CCCP Border as the boundaries of the border area.
-- Any enemy crossing this border will be engaged.
--CCCPBorderZone = ZONE_POLYGON:New( "CCCP Border", GROUP:FindByName( "CCCP Border" ) )
--A2ADispatcher:SetBorderZone( CCCPBorderZone )

-- Initialize the dispatcher, setting up a radius of 100km where any airborne friendly 
-- without an assignment within 10km radius from a detected target, will engage that target.
A2ADispatcher:SetEngageRadius( 375000 ) -- 24NM
A2ADispatcher:SetGciRadius( 375000 ) -- 20NM

A2ADispatcher:SetTacticalDisplay( false )


-- Test an other disengage radius.
A2ADispatcher:SetDisengageRadius( 400000 )


-- Setup the squadrons.

A2ADispatcher:SetSquadron( "Sukhumi1", AIRBASE.Caucasus.Sukhumi_Babushara, { "tmpRA1", "tmpRA2", "tmpRA3", "tmpRA4", "tmpRA5" }, 20 )
A2ADispatcher:SetSquadronGci( "Sukhumi1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Sukhumi1", 0.50 )

A2ADispatcher:SetSquadron( "Gudauta1", AIRBASE.Caucasus.Gudauta, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" }, 20 )
A2ADispatcher:SetSquadronGci( "Gudauta1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Gudauta1", 0.50 )

A2ADispatcher:SetSquadron( "Sochi1", AIRBASE.Caucasus.Sochi_Adler, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" }, 20 )
A2ADispatcher:SetSquadronGci( "Sochi1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Sochi1", 0.50)

A2ADispatcher:SetSquadron( "Gelen1", AIRBASE.Caucasus.Gelendzhik, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" }, 20 )
A2ADispatcher:SetSquadronGci( "Gelen1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Gelen1", 0.50 )

A2ADispatcher:SetSquadron( "Novor1", AIRBASE.Caucasus.Novorossiysk, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" }, 20 )
A2ADispatcher:SetSquadronGci( "Novor1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Novor1", 0.50 )

A2ADispatcher:SetSquadron( "Krymsk1", AIRBASE.Caucasus.Krymsk, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" }, 20 )
A2ADispatcher:SetSquadronGci( "Krymsk1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Krymsk1", 0.50 )

A2ADispatcher:SetSquadron( "Anapa1", AIRBASE.Caucasus.Anapa_Vityazevo, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" }, 20 )
A2ADispatcher:SetSquadronGci( "Anapa1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Anapa1", 0.50 )

A2ADispatcher:SetSquadron( "Kras1", AIRBASE.Caucasus.Krasnodar_Pashkovsky, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" } )
A2ADispatcher:SetSquadronGci( "Kras1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Kras1", 0.50  )

A2ADispatcher:SetSquadron( "Kras2", AIRBASE.Caucasus.Krasnodar_Center, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" } )
A2ADispatcher:SetSquadronGci( "Kras2", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Kras2", 0.50 )

A2ADispatcher:SetSquadron( "Mozdok1", AIRBASE.Caucasus.Mozdok, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" } )
A2ADispatcher:SetSquadronGci( "Mozdok1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Mozdok1", 0.50 )


A2ADispatcher:SetSquadron( "Nalchik1", AIRBASE.Caucasus.Nalchik, { "tmpRA1","tmpRA2","tmpRA3","tmpRA4","tmpRA5" } )
A2ADispatcher:SetSquadronGci( "Nalchik1", 900, 1200 )
A2ADispatcher:SetSquadronOverhead( "Nalchik1", 0.50 )

A2ADispatcher:SetDefaultTakeoffFromParkingCold()
A2ADispatcher:SetDefaultLandingNearAirbase()

A2ADispatcher:Start()


