RedPat2 = SPAWN
        :New( "PatGrpGel29" )
        :InitCleanUp( 300 ) -- time in secs for 'stuck aircraft
        :InitRepeatOnEngineShutDown() -- lands and takes off immediately after shutting engine off
        :InitLimit( 2, 0 ) -- Max units alive / groups that can spawn
        :SpawnScheduled( 900, 1 ) -- Time in secs 1800 = 30 Mins / allowable variation
        :OnSpawnGroup(
        function ( SpawnGroup2 )   
          CapPlane2 = GROUP:FindByName( "PatGrpGel29" )
          PatrolZone2 = ZONE:New( "PatrolZone2" ) -- Area where patrol will patrol
          AICapZone2 = AI_CAP_ZONE:New( PatrolZone2, 4000, 8000, 600, 1000 ) -- min alt ,ax alt, min speed, max speed
          EngageZoneGroup2 = GROUP:FindByName( "EngageZoneW" ) -- zone where patrol will engage
          CapEngageZone2 = ZONE_POLYGON:New( "EngageZoneW", EngageZoneGroup2 )
          AICapZone2:SetControllable( SpawnGroup2 )
          AICapZone2:ManageFuel( 0.2, 0 ) -- 20% no loiter time
          AICapZone2:SetEngageZone( CapEngageZone2 ) -- Set the Engage Zone. The AI will only engage when the bogeys are within the CapEngageZone.
          AICapZone2:__Start( 1 ) 
          end
         )
RedPat2:Spawn()