RedPat5 = SPAWN
        :New( "PatGrpMay27" )
        :InitCleanUp( 300 ) -- time in secs for 'stuck aircraft
        :InitRepeatOnEngineShutDown() -- lands and takes off immediately after shutting engine off
        :InitLimit( 2, 0 ) -- Max units alive / groups that can spawn
        :SpawnScheduled( 900, 1 ) -- Time in secs 1800 = 30 Mins / allowable variation
        :OnSpawnGroup(
        function ( SpawnGroup5 )   
          CapPlane5 = GROUP:FindByName( "PatGrpMay27" )
          PatrolZone5 = ZONE:New( "PatrolZone1" ) -- Area where patrol will patrol
          AICapZone5 = AI_CAP_ZONE:New( PatrolZone5, 4000, 8000, 600, 1000 ) -- min alt ,ax alt, min speed, max speed
          EngageZoneGroup5 = GROUP:FindByName( "EngageZoneW" ) -- zone where patrol will engage
          CapEngageZone5 = ZONE_POLYGON:New( "EngageZoneW", EngageZoneGroup5 )
          AICapZone5:SetControllable( SpawnGroup5 )
          AICapZone5:ManageFuel( 0.5, 0 ) -- 50% no loiter time
          AICapZone5:SetEngageZone( CapEngageZone5 ) -- Set the Engage Zone. The AI will only engage when the bogeys are within the CapEngageZone.
          AICapZone5:__Start( 1 ) 
          end
         )
RedPat5:Spawn()