RedPat4 = SPAWN
        :New( "PatGrpVody27" )
        :InitCleanUp( 300 ) -- time in secs for 'stuck aircraft
        :InitRepeatOnEngineShutDown() -- lands and takes off immediately after shutting engine off
        :InitLimit( 2, 0 ) -- Max units alive / groups that can spawn
        :SpawnScheduled( 900, 1 ) -- Time in secs 1800 = 30 Mins / allowable variation
        :OnSpawnGroup(
        function ( SpawnGroup4 )   
          CapPlane4 = GROUP:FindByName( "PatGrpVody27" )
          PatrolZone4 = ZONE:New( "PatrolZone4" ) -- Area where patrol will patrol
          AICapZone4 = AI_CAP_ZONE:New( PatrolZone4, 4000, 8000, 600, 1000 ) -- min alt ,ax alt, min speed, max speed
          EngageZoneGroup4 = GROUP:FindByName( "EngageZoneE" ) -- zone where patrol will engage
          CapEngageZone4 = ZONE_POLYGON:New( "EngageZoneE", EngageZoneGroup4 )
          AICapZone4:SetControllable( SpawnGroup4 )
          AICapZone4:ManageFuel( 0.2, 0 ) -- 20% no loiter time
          AICapZone4:SetEngageZone( CapEngageZone4 ) -- Set the Engage Zone. The AI will only engage when the bogeys are within the CapEngageZone.
          AICapZone4:__Start( 1 ) 
          end
         )
RedPat4:Spawn()

